# Uses of Class
javax.imageio.stream.IIOByteBuffer

Packages that use IIOByteBuffer
Package
Description
javax.imageio.stream
A package of the Java Image I/O API dealing with low-level I/O from files and streams.

## Uses of IIOByteBuffer in javax.imageio.stream

Methods in javax.imageio.stream with parameters of type IIOByteBuffer
Modifier and Type
Method
Description
`void`
ImageInputStream.`readBytes(IIOByteBuffer buf, int len)`
Reads up to `len` bytes from the stream, and modifies the supplied `IIOByteBuffer` to indicate the byte array, offset, and length where the data may be found.
`void`
ImageInputStreamImpl.`readBytes(IIOByteBuffer buf, int len)`